%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70

Summary: System daemon for tracking users, sessions and seats
Name: ConsoleKit
Version: 0.1.0
Release: 5%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://consolekit.freedesktop.org
Source0: http://people.freedesktop.org/~mccann/dist/console-kit-%{version}.tar.gz
Patch0: ConsoleKit-0.1.0-servicename.patch
Patch1: ConsoleKit-0.1.0-startup-priority.patch
Patch2: ConsoleKit-0.1.0-minimize-stack.patch
Patch3: ConsoleKit-0.1.0-active-session.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: dbus >= %{dbus_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}

Requires(post): chkconfig
Requires(preun): chkconfig

%description 
ConsoleKit is a system daemon for tracking what users are logged
into the system and how they interact with the computer (e.g.
which keyboard and mouse they use).

It provides asynchronous notification via the system message bus.

%prep
%setup -q -n console-kit-%{version}
%patch0 -p1 -b .servicename
%patch1 -p1 -b .startup-priority
%patch2 -p1 -b .minimize-stack
%patch3 -p1 -b .active-session

%build
%configure --with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ConsoleKit
/sbin/chkconfig ConsoleKit resetpriorities

%preun
if [ $1 = 0 ]; then
    /sbin/service ConsoleKit stop > /dev/null 2>&1
    /sbin/chkconfig --del ConsoleKit
fi


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS ChangeLog

%{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/rc.d/init.d/ConsoleKit
%{_sbindir}/console-kit-daemon


%changelog
* Tue Feb  6 2007 David Zeuthen <davidz@redhat.com> - 0.1.0-5%{?dist}
- Start ConsoleKit a bit earlier so it starts before HAL (98 -> 90)
- Minimize stack usage so VIRT size is more reasonable (mclasen)
- Make session inactive when switching to non-session (davidz)

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-4
- Don't mark initscripts %%config
- Use proper lock and pid ile names

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-3
- More package review feedback

* Fri Jan 12 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-2
- Incorporate package review feedback

* Thu Jan 11 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.0-1
- Update to the first public release 0.1.0
- Some spec cleanups

* Mon Oct 23 2006 David Zeuthen <davidz@redhat.com> - 0.0.3-1
- Initial build.

